Skip to main content
PUT
Update Sequence

Authorizations

Authorization
string
header
required

Personal access token from Scispot Account → Personal Tokens

Path Parameters

uuid
string
required

Body

application/json
name
string
required

The updated name of the sequence. Must be provided even if unchanged.

sequence
string
required

The updated raw sequence content. Provide either sequence or sequenceData, even if unchanged.

type
string

The sequence type. One of: DNA, RNA, OLIGO, PROTEIN (aliases PEPTIDE/AA/AMINO_ACID), MIXED.

sequenceData
string

Alias for sequence; the updated raw sequence content. Provide either sequence or sequenceData.

description
string

(Optional) An updated free-text description of the sequence.

circular
boolean

(Optional) Whether the sequence is circular. Ignored (forced to false) for protein sequences.

uuid
string

(Optional) The sequence UUID; normally taken from the path and does not need to be supplied in the body.

annotations
object[]

(Optional) Feature annotations. Note - annotations are ignored on update; use POST /sequences/{uuid}/annotations to modify annotations.

Response

OK

success
boolean
uuid
string
type
string